(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common/http')) :
    typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/common/http'], factory) :
    (global = global || self, factory((global.ng = global.ng || {}, global.ng['atm-droid'] = {}), global.ng.core, global.ng.http));
}(this, function (exports, core, http) { 'use strict';

    // This file can be replaced during build by using the `fileReplacements` array.
    // `ng build --prod` replaces `environment.ts` with `environment.prod.ts`.
    // The list of file replacements can be found in `angular.json`.
    var environment = {
        production: false,
        web_socket_endpoint: "ws://localhost:9393",
        peripherial_endpoint: "http://localhost:9090/application"
    };
    /*
     * For easier debugging in development mode, you can import the following file
     * to ignore zone related error stack frames such as `zone.run`, `zoneDelegate.invokeTask`.
     *
     * This import should be commented out in production mode because it will have a negative impact
     * on performance if an error is thrown.
     */
    // import 'zone.js/dist/zone-error';  // Included with Angular CLI.

    var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (undefined && undefined.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var CortexAtmPeripheralsService = /** @class */ (function () {
        function CortexAtmPeripheralsService(http) {
            this.http = http;
        }
        CortexAtmPeripheralsService.prototype.subscribe = function (channel) {
            return new WebSocket(environment.web_socket_endpoint + "/" + channel);
        };
        CortexAtmPeripheralsService.prototype.openBillAcceptor = function (amount, accountNumber) {
            this.http.get(environment.peripherial_endpoint + "/start_bill/" + accountNumber + "/" + amount).subscribe();
            return this.subscribe("app_channel");
        };
        CortexAtmPeripheralsService.prototype.closeBillAcceptor = function () {
            this.http.get(environment.peripherial_endpoint + "/stop-bill-acceptors").subscribe();
        };
        CortexAtmPeripheralsService.prototype.dispense = function (amount) {
            this.http.get(environment.peripherial_endpoint + "/dispense/" + amount).subscribe();
        };
        CortexAtmPeripheralsService.prototype.atmButtons = function () {
            return this.subscribe("app_channel");
        };
        CortexAtmPeripheralsService.prototype.finalize = function () {
            this.http.get(environment.peripherial_endpoint + "/finalize").subscribe();
        };
        CortexAtmPeripheralsService = __decorate([
            core.Injectable(),
            __metadata("design:paramtypes", [http.HttpClient])
        ], CortexAtmPeripheralsService);
        return CortexAtmPeripheralsService;
    }());
    var PeripheralsType;
    (function (PeripheralsType) {
        PeripheralsType[PeripheralsType["BILL_ACCEPTOR"] = 0] = "BILL_ACCEPTOR";
        PeripheralsType[PeripheralsType["BACK_BUTTON"] = 1] = "BACK_BUTTON";
        PeripheralsType[PeripheralsType["OK_BUTTON"] = 2] = "OK_BUTTON";
    })(PeripheralsType || (PeripheralsType = {}));
    var CortexAtmModule = /** @class */ (function () {
        function CortexAtmModule() {
        }
        CortexAtmModule = __decorate([
            core.NgModule({
                imports: [http.HttpClientModule],
                providers: [CortexAtmPeripheralsService]
            })
        ], CortexAtmModule);
        return CortexAtmModule;
    }());

    exports.CortexAtmModule = CortexAtmModule;
    exports.CortexAtmPeripheralsService = CortexAtmPeripheralsService;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
