var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { NgModule, Injectable } from '@angular/core';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { environment } from '../environments/environment';
var CortexAtmPeripheralsService = /** @class */ (function () {
    function CortexAtmPeripheralsService(http) {
        this.http = http;
    }
    CortexAtmPeripheralsService.prototype.subscribe = function (channel) {
        return new WebSocket(environment.web_socket_endpoint + "/" + channel);
    };
    CortexAtmPeripheralsService.prototype.openBillAcceptor = function (amount, accountNumber) {
        this.http.get(environment.peripherial_endpoint + "/start_bill/" + accountNumber + "/" + amount).subscribe();
        return this.subscribe("app_channel");
    };
    CortexAtmPeripheralsService.prototype.closeBillAcceptor = function () {
        this.http.get(environment.peripherial_endpoint + "/stop-bill-acceptors").subscribe();
    };
    CortexAtmPeripheralsService.prototype.dispense = function (amount) {
        this.http.get(environment.peripherial_endpoint + "/dispense/" + amount).subscribe();
    };
    CortexAtmPeripheralsService.prototype.atmButtons = function () {
        return this.subscribe("app_channel");
    };
    CortexAtmPeripheralsService.prototype.finalize = function () {
        this.http.get(environment.peripherial_endpoint + "/finalize").subscribe();
    };
    CortexAtmPeripheralsService = __decorate([
        Injectable(),
        __metadata("design:paramtypes", [HttpClient])
    ], CortexAtmPeripheralsService);
    return CortexAtmPeripheralsService;
}());
export { CortexAtmPeripheralsService };
var BillAcceptor = /** @class */ (function () {
    function BillAcceptor(type, body) {
        this.type = type;
        this.body = body;
    }
    return BillAcceptor;
}());
export { BillAcceptor };
var InsertMoney = /** @class */ (function () {
    function InsertMoney(amount, total, lastAmount) {
        this.amount = amount;
        this.total = total;
        this.lastAmount = lastAmount;
    }
    return InsertMoney;
}());
export { InsertMoney };
export var PeripheralsType;
(function (PeripheralsType) {
    PeripheralsType[PeripheralsType["BILL_ACCEPTOR"] = 0] = "BILL_ACCEPTOR";
    PeripheralsType[PeripheralsType["BACK_BUTTON"] = 1] = "BACK_BUTTON";
    PeripheralsType[PeripheralsType["OK_BUTTON"] = 2] = "OK_BUTTON";
})(PeripheralsType || (PeripheralsType = {}));
var CortexAtmModule = /** @class */ (function () {
    function CortexAtmModule() {
    }
    CortexAtmModule = __decorate([
        NgModule({
            imports: [HttpClientModule],
            providers: [CortexAtmPeripheralsService]
        })
    ], CortexAtmModule);
    return CortexAtmModule;
}());
export { CortexAtmModule };
//# sourceMappingURL=CortexAtmModule.js.map